# Copyright 2019 Elico Corp, Dominique K. <dominique.k@elico-corp.com.sg>
# Copyright 2019 Ecosoft Co., Ltd., Kitti U. <kittiu@ecosoft.co.th>
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import api, fields, models


class PurchaseOrder(models.Model):
    _inherit = 'purchase.order'

    @api.multi
    def copy_data(self, default=None):
        if default is None:
            default = {}
        default['order_line'] = \
            [(0, 0, line.copy_data()[0])
             for line in self.order_line.filtered(lambda l: not l.is_deposit)]
        return super(PurchaseOrder, self).copy_data(default)


class PurchaseOrderLine(models.Model):
    _inherit = 'purchase.order.line'

    is_deposit = fields.Boolean(
        string='Is a deposit payment',
        help="Deposit payments are made when creating invoices from a purhcase"
        " order. They are not copied when duplicating a purchase order.",
    )
